> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the reseller program

> Partial update of the wholesale program settings. `enrollment_mode: "OPEN"` requires a `default_tier_id`.



## OpenAPI

````yaml /openapi.json patch /dev/v1/reseller-program
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/reseller-program:
    patch:
      tags:
        - Resellers
      summary: Update the reseller program
      description: >-
        Partial update of the wholesale program settings. `enrollment_mode:
        "OPEN"` requires a `default_tier_id`.
      operationId: patchDevV1Reseller-program
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                enabled:
                  type: boolean
                enrollment_mode:
                  anyOf:
                    - type: string
                      enum:
                        - MANUAL
                    - type: string
                      enum:
                        - APPLICATION
                    - type: string
                      enum:
                        - OPEN
                application_message:
                  type: string
                  nullable: true
                require_application_note:
                  type: boolean
                default_tier_id:
                  type: string
                  nullable: true
          multipart/form-data:
            schema:
              type: object
              properties:
                enabled:
                  type: boolean
                enrollment_mode:
                  anyOf:
                    - type: string
                      enum:
                        - MANUAL
                    - type: string
                      enum:
                        - APPLICATION
                    - type: string
                      enum:
                        - OPEN
                application_message:
                  type: string
                  nullable: true
                require_application_note:
                  type: boolean
                default_tier_id:
                  type: string
                  nullable: true
          text/plain:
            schema:
              type: object
              properties:
                enabled:
                  type: boolean
                enrollment_mode:
                  anyOf:
                    - type: string
                      enum:
                        - MANUAL
                    - type: string
                      enum:
                        - APPLICATION
                    - type: string
                      enum:
                        - OPEN
                application_message:
                  type: string
                  nullable: true
                require_application_note:
                  type: boolean
                default_tier_id:
                  type: string
                  nullable: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties: true
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````